gnutls_x509_ext_export_proxy(3)

NAME
gnutls_x509_ext_export_proxy - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_export_proxy(int pathLenConstraint, const char * policyLanguage, const char * policy, size_t sizeof_policy, gnutls_datum_t * ext);

ARGUMENTS

int pathLenConstraint
    A negative value will remove the path length constraint, while non-negative values will be set as the length of the pathLenConstraints field.

const char * policyLanguage
    OID describing the language of policy .

const char * policy
    uint8_t byte array with policy language, can be NULL

size_t sizeof_policy
    size of policy .

gnutls_datum_t * ext
    The DER-encoded extension data; must be freed using gnutls_free().

DESCRIPTION
This function will convert the parameters provided to a proxyCertInfo extension. The ext data will be allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/